# Generated from fresh_objects-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fresh_objects

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Filtering algorithm that keeps track of object timestamps and only keeps the freshest version of each object
License: MIT
URL: https://github.com/bluemarblepayroll/fresh_objects
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.8
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) >= 0.74.0
# BuildRequires: rubygem(rubocop) < 0.75
# BuildRequires: rubygem(simplecov) >= 0.17.0
# BuildRequires: rubygem(simplecov) < 0.18
# BuildRequires: rubygem(simplecov-console) >= 0.5.0
# BuildRequires: rubygem(simplecov-console) < 0.6
BuildArch: noarch

%description
This library provides a simple algorithm for object filtering based on an
object's timestamp.
A master list of object ID's and timestamps are managed by this library and
can be persisted
(outside of this library) for picking up where you last left off.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fresh_objects.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.0-1
- Initial package
